<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div
  class="flex items-center gap-3 py-2 px-4 border border-borderGrey bg-dialogGrey rounded-sm w-fit cursor-pointer"
  (click)="openContracts()"
>
  <ng-container *ngLet="exigentContracts$ | async">
    <div *ngIf="hasExigentContracts" class="relative">
      <div class="absolute top-0 left-0 animate-ping rounded-full bg-yellow size-2"></div>
      <div class="rounded-full bg-yellow size-2"></div>
    </div>
  </ng-container>
  <i class="fa fa-file-signature"></i>
  <div>Contracts</div>
  <i class="pi pi-chevron-right" style="font-size: 0.8rem"></i>
</div>
